Bug 211874 - Some lib/libarchive tests fail after ^/head@r304075
Summary: Some lib/libarchive tests fail after ^/head@r304075
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: tests (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-15 17:35 UTC by Enji Cooper
Modified: 2017-01-24 17:41 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2016-08-15 17:35:54 UTC
4 testcases now fail with lib/libarchive on FreeBSD after the latest batch of libarchive changes in r304075.

$ uname -a
FreeBSD fbsd11 12.0-CURRENT FreeBSD 12.0-CURRENT #5 r304091:304099: Sun Aug 14 13:08:45 PDT 2016     ngie@fbsd11:/usr/obj/usr/src/svn/sys/GENERIC  amd64
$ svn info /usr/src/svn/
Path: /usr/src/svn
Working Copy Root Path: /usr/src/svn
URL: svn+ssh://ngie@repo.freebsd.org/base/projects/netbsd-tests-update-12
Relative URL: ^/projects/netbsd-tests-update-12
Repository Root: svn+ssh://ngie@repo.freebsd.org/base
Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
Revision: 304166
Node Kind: directory
Schedule: normal
Last Changed Author: ngie
Last Changed Rev: 304099
Last Changed Date: 2016-08-14 12:54:40 -0700 (Sun, 14 Aug 2016)

$

Example:

# cd /usr/tests; sudo kyua test
...
lib/libarchive/functional_test:test_read_format_zip_high_compression  ->  failed: atf-check failed; see the output of the test for details  [2.511s]
lib/libarchive/functional_test:test_write_disk_secure745  ->  failed: atf-check failed; see the output of the test for details  [2.138s]
lib/libarchive/functional_test:test_write_disk_secure746a  ->  failed: atf-check failed; see the output of the test for details  [2.392s]
lib/libarchive/functional_test:test_write_disk_secure746b  ->  failed: atf-check failed; see the output of the test for details  [2.494s]
#

# kyua debug -k lib/libarchive/Kyuafile functional_test:test_read_format_zip_high_compression
Executing command [ /usr/tests/lib/libarchive/libarchive_test -d -r /usr/tests/lib/libarchive -v test_read_format_zip_high_compression ]
Fail: program did not exit cleanly
stdout:

If tests fail or crash, details will be in:
   /tmp/kyua.atf-tester.qqT1GA/libarchive_test.2016-08-15T17.29.24-000

Reference files will be read from: /usr/tests/lib/libarchive
Exercising: libarchive 3.2.1 zlib/1.2.8 liblzma/5.2.2 bz2lib/1.0.6
318: test_read_format_zip_high_compression
/usr/src/svn/contrib/libarchive/libarchive/test/test_read_format_zip_high_compression.c:65: ARCHIVE_OK != archive_read_data_block(a, &pv, &s, &o)

stderr:
 *** forcing core dump so failure can be debugged ***

functional_test:test_read_format_zip_high_compression  ->  failed: atf-check failed; see the output of the test for details

# kyua debug -k lib/libarchive/Kyuafile functional_test:test_write_disk_secure745
Executing command [ /usr/tests/lib/libarchive/libarchive_test -d -r /usr/tests/lib/libarchive -v test_write_disk_secure745 ]
Fail: program did not exit cleanly
stdout:

If tests fail or crash, details will be in:
   /tmp/kyua.atf-tester.sMoghQ/libarchive_test.2016-08-15T17.29.55-000

Reference files will be read from: /usr/tests/lib/libarchive
Exercising: libarchive 3.2.1 zlib/1.2.8 liblzma/5.2.2 bz2lib/1.0.6
380: test_write_disk_secure745
/usr/src/svn/contrib/libarchive/libarchive/test/test_write_disk_secure745.c:74: File ../target has mode 755, expected 700

stderr:
 *** forcing core dump so failure can be debugged ***

functional_test:test_write_disk_secure745  ->  failed: atf-check failed; see the output of the test for details

# kyua debug -k lib/libarchive/Kyuafile functional_test:test_write_disk_secure746a
Executing command [ /usr/tests/lib/libarchive/libarchive_test -d -r /usr/tests/lib/libarchive -v test_write_disk_secure746a ]
Fail: program did not exit cleanly
stdout:

If tests fail or crash, details will be in:
   /tmp/kyua.atf-tester.Au9yjQ/libarchive_test.2016-08-15T17.30.14-000

Reference files will be read from: /usr/tests/lib/libarchive
Exercising: libarchive 3.2.1 zlib/1.2.8 liblzma/5.2.2 bz2lib/1.0.6
381: test_write_disk_secure746a
/usr/src/svn/contrib/libarchive/libarchive/test/test_write_disk_secure746.c:69: ARCHIVE_FAILED != archive_write_header(a, ae)

stderr:
 *** forcing core dump so failure can be debugged ***

functional_test:test_write_disk_secure746a  ->  failed: atf-check failed; see the output of the test for details

# kyua debug -k lib/libarchive/Kyuafile functional_test:test_write_disk_secure746b
Executing command [ /usr/tests/lib/libarchive/libarchive_test -d -r /usr/tests/lib/libarchive -v test_write_disk_secure746b ]
Fail: program did not exit cleanly
stdout:

If tests fail or crash, details will be in:
   /tmp/kyua.atf-tester.UX9guX/libarchive_test.2016-08-15T17.30.32-000

Reference files will be read from: /usr/tests/lib/libarchive
Exercising: libarchive 3.2.1 zlib/1.2.8 liblzma/5.2.2 bz2lib/1.0.6
382: test_write_disk_secure746b
/usr/src/svn/contrib/libarchive/libarchive/test/test_write_disk_secure746.c:109: ARCHIVE_FAILED != archive_write_header(a, ae)

stderr:
 *** forcing core dump so failure can be debugged ***

functional_test:test_write_disk_secure746b  ->  failed: atf-check failed; see the output of the test for details
Comment 1 Enji Cooper freebsd_committer 2016-08-15 17:39:28 UTC
Also, it looks like test_write_disk_secure744 is failing to clean up after itself, which is causing kyua grief when cleaning up the directory contents (

lib/libarchive/functional_test:test_write_disk_secure744  ->  broken: Caught unexpected exception: Tester failed with code 2; this is a bug  [2.429s]

->

Executing command [ /usr/tests/lib/libarchive/libarchive_test -d -r /usr/tests/lib/libarchive -v test_write_disk_secure744 ]
Fail: program did not exit cleanly
stdout:

If tests fail or crash, details will be in:
   /tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000

Reference files will be read from: /usr/tests/lib/libarchive
Exercising: libarchive 3.2.1 zlib/1.2.8 liblzma/5.2.2 bz2lib/1.0.6
379: test_write_disk_secure744
/usr/src/svn/contrib/libarchive/libarchive/test/test_write_disk_secure744.c:88: ARCHIVE_FAILED != t
   Description: Attempt to create target11 via 1119-character symlink should have failed

stderr:
 *** forcing core dump so failure can be debugged ***

kyua-atf-tester: lstat(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0009_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: File name too long
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0009_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0009_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0009_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0009_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0009_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0009_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0009_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0009_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0009_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
...
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0009_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: lstat(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0010_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: File name too long
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0010_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0010_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0010_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0010_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0010_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0010_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0010_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0010_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744/0010_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000/test_write_disk_secure744) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix/libarchive_test.2016-08-15T17.38.04-000) failed: Directory not empty
kyua-atf-tester: rmdir(/tmp/kyua.atf-tester.aHFvix) failed: Directory not empty
kyua-atf-tester: Cleanup of '/tmp/kyua.atf-tester.aHFvix' failed
kyua-atf-tester: Cleanup of /tmp/kyua.atf-tester.aHFvix failed: Operation not permitted
functional_test:test_write_disk_secure744  ->  broken: Caught unexpected exception: Tester failed with code 2; this is a bug
Comment 2 Enji Cooper freebsd_committer 2016-08-17 07:50:25 UTC
Here are the failures for test_read_format_zip_high_compression.c:

test_read_format_zip_high_compression

/usr/src/svn/contrib/libarchive/libarchive/test/test_read_format_zip_high_compression.c:65: ARCHIVE_OK != archive_read_data_block(a, &pv, &s, &o)
      ARCHIVE_OK=0 (0x0, 00)
      archive_read_data_block(a, &pv, &s, &o)=-30 (0xffffffffffffffe2, 01777777777777777777742)
/usr/src/svn/contrib/libarchive/libarchive/test/test_read_format_zip_high_compression.c:66: 160 != s
      160=160 (0xa0, 0240)
      s=0 (0x0, 00)
/usr/src/svn/contrib/libarchive/libarchive/test/test_read_format_zip_high_compression.c:69: ARCHIVE_EOF != archive_read_data_block(a, &pv, &s, &o)
      ARCHIVE_EOF=1 (0x1, 01)
      archive_read_data_block(a, &pv, &s, &o)=-30 (0xffffffffffffffe2, 01777777777777777777742)
Comment 3 kientzle 2016-08-21 23:33:26 UTC
> test_read_format_zip_high_compression
> test_write_disk_secure745
> test_write_disk_secure746a
> test_write_disk_secure746b

Those are new tests to exercise known failures that have not yet been addressed.

> Also, it looks like test_write_disk_secure744 is failing to clean up after itself ...

Libarchive's test harness deliberately does not clean up the test directory for failing tests so that intermediate results and detailed logs can be studied.
Comment 4 Enji Cooper freebsd_committer 2016-08-25 00:45:59 UTC
(In reply to kientzle from comment #3)

For the first part... if we picked up the feature fixes, why are the tests failing? Shouldn't it be marked as skipped/an expected failure until the code under test has been fixed?

...

About the second part -- ugh. That doesn't jive well with kyua. Is there any way to force it to clean up after itself (considering that by default kyua blows everything away in $TMPDIR ;(...)?
Comment 5 Alan Somers freebsd_committer 2017-01-24 16:20:24 UTC
Can we close this bug now?  Those tests are no longer failing in CURRENT as of Jan 10.